[
  {
    "chunk_id": 7,
    "chunk_type": "group",
    "human_description": "This is group 'ProductGroup' definition for report 'ProductReport'. Group expression: $F{Id}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"ProductGroup\">\n\t\t<expression>$F{Id}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"14\">\n\t\t\t\t<element kind=\"textField\" uuid=\"fc2ad1b0-4874-4765-baf8-b17a2490185a\" x=\"0\" y=\"2\" width=\"15\" height=\"10\" hTextAlign=\"Right\">\n\t\t\t\t\t<expression>$F{Id}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Id\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f53978bd-fc13-4359-b82d-2142640c6696\" positionType=\"Float\" x=\"20\" y=\"2\" width=\"80\" height=\"10\" textAdjust=\"StretchHeight\">\n\t\t\t\t\t<expression>$F{Name}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Name\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"aec3706b-5a2e-455a-aec0-245ada2a8830\" positionType=\"Float\" x=\"105\" y=\"2\" width=\"20\" height=\"10\" textAdjust=\"StretchHeight\" evaluationTime=\"Group\" pattern=\"#0\" evaluationGroup=\"ProductGroup\" hTextAlign=\"Right\">\n\t\t\t\t\t<expression>$V{QuantityProductSum}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Quantity\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"38a1047a-67fe-4c37-ac55-1252bcb7f9db\" positionType=\"Float\" x=\"130\" y=\"2\" width=\"30\" height=\"10\" textAdjust=\"StretchHeight\" evaluationTime=\"Group\" pattern=\"#0.00\" evaluationGroup=\"ProductGroup\" hTextAlign=\"Right\">\n\t\t\t\t\t<expression>$V{PriceProductSum}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Price\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band />\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'ProductReport' group 'ProductGroup'",
    "metadata": {
      "group_name": "ProductGroup",
      "expression": "$F{Id}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 7,
    "chunk_type": "group",
    "human_description": "This is group 'ProductGroup' definition for report 'ProductReport'. Group expression: $F{Id}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"ProductGroup\">\n\t\t<expression>$F{Id}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"14\">\n\t\t\t\t<element kind=\"textField\" uuid=\"fc2ad1b0-4874-4765-baf8-b17a2490185a\" x=\"0\" y=\"2\" width=\"15\" height=\"10\" hTextAlign=\"Right\">\n\t\t\t\t\t<expression>$F{Id}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Id\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f53978bd-fc13-4359-b82d-2142640c6696\" positionType=\"Float\" x=\"20\" y=\"2\" width=\"80\" height=\"10\" textAdjust=\"StretchHeight\">\n\t\t\t\t\t<expression>$F{Name}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Name\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"aec3706b-5a2e-455a-aec0-245ada2a8830\" positionType=\"Float\" x=\"105\" y=\"2\" width=\"20\" height=\"10\" textAdjust=\"StretchHeight\" evaluationTime=\"Group\" pattern=\"#0\" evaluationGroup=\"ProductGroup\" hTextAlign=\"Right\">\n\t\t\t\t\t<expression>$V{QuantityProductSum}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Quantity\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"38a1047a-67fe-4c37-ac55-1252bcb7f9db\" positionType=\"Float\" x=\"130\" y=\"2\" width=\"30\" height=\"10\" textAdjust=\"StretchHeight\" evaluationTime=\"Group\" pattern=\"#0.00\" evaluationGroup=\"ProductGroup\" hTextAlign=\"Right\">\n\t\t\t\t\t<expression>$V{PriceProductSum}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"products.Price\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band />\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'ProductReport' group 'ProductGroup'",
    "metadata": {
      "group_name": "ProductGroup",
      "expression": "$F{Id}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]